#include <stdbool.h>
#include <wiringPi.h>

#include "led.h"



const int GREEN_OUT = 20;
const int RED_OUT = 21;
const int BLUE_OUT = 26;

void ledInit() {
    pinMode(GREEN_OUT, OUTPUT);
    digitalWrite(GREEN_OUT, 0);

    pinMode(RED_OUT, OUTPUT);
    digitalWrite(RED_OUT, 0);

    pinMode(BLUE_OUT, OUTPUT);
    digitalWrite(BLUE_OUT, 0);
}


void led (tColor color, bool state) {
    if (color == E_RED) {
        digitalWrite(RED_OUT, state ? 1 : 0);
    } else if (color == E_BLUE) {
        digitalWrite(BLUE_OUT, state ? 1 : 0);
    } else if (color == E_GREEN) {
        digitalWrite(GREEN_OUT, state ? 1 : 0);
    }
}
